﻿Type=Class
Version=3.82
B4A=true
@EndOfDesignText@
'Class module
Sub Class_Globals
	Dim Effect As lgParticleEffect
	Dim Batch As lgSpriteBatch
	
	Dim X_Pos As Float
	Dim Y_Pos As Float
	Dim speed As Float = 100
	
End Sub

'Initializes the object. You can add parameters to this method if needed.
Public Sub Initialize(name As String, FileName As lgFileHandle, Dir As lgFileHandle, StartPosX As Float, StartPosY As Float )
'file = lGdx.Files.internal("particles/particles.p")
'dir = lGdx.Files.internal("particles")

Batch.Initialize
'Loads the four particle emitters
Effect.Initialize
Effect.Load(FileName, Dir)
Dim L As List = Effect.Emitters
For i = 0 To L.Size - 1
	Dim Emitter As lgParticleEmitter = L.Get(i)
	Log(Emitter.name & " emitter loaded")
Next

'Sets a random value for the wind of the smoke emitter
Dim Wind As lgParticleScaledNumericValue
Wind = Effect.FindEmitter("smoke").Wind
Wind.Low = Rnd(-10, 10)
Wind.High = Rnd(-60, 60)
Wind.Active = True

Dim fire As lgParticleScaledNumericValue
fire = Effect.FindEmitter("fire").Wind
fire.low = Rnd(-10, 10)
fire.High = Rnd(-60, 60)
fire.Active = True

'Sets the position of emitters
Effect.SetPosition(StartPosX, StartPosY)
Effect.Start
	
End Sub



Sub Draw(camera As lgOrthographicCamera, DeltaTime As Float)

Log("Fire - X:" & Effect.FindEmitter("fire").X & " Fire - Y:"& Effect.FindEmitter("fire").Y)

X_Pos= 	Effect.FindEmitter("fire").X
Y_Pos=	Effect.FindEmitter("fire").Y

camera.Update

'Updates and draws the particles
Batch.ProjectionMatrix = camera.Combined
Batch.Begin
Effect.FindEmitter("fire").SetPosition(Effect.FindEmitter("fire").X+(speed*DeltaTime),Effect.FindEmitter("fire").Y)
Effect.FindEmitter("fire").Draw2(Batch, DeltaTime)
Batch.End

End Sub

Sub Dispose()

Effect.Dispose
Batch.Dispose
End Sub
