﻿Type=Class
Version=3.82
B4A=true
@EndOfDesignText@
'Class module
Sub Class_Globals

Private FRAME_COLS As Int = 6
Private FRAME_ROWS As Int = 1

Dim PlaneAnimation As lgAnimation           
Dim PlaneRegion As lgTextureRegion

Dim spriteBatch As lgSpriteBatch
Dim currentFrame As lgTextureRegion

Dim stateTime As Float = 0
Dim move_speed As Float = 20

Dim X_pos As Int	= 50
Dim Y_pos As Int 	= 50

Dim Width As Int
Dim Heigth As Int
End Sub

'Initializes the object. You can add parameters to this method if needed.
Public Sub Initialize

spriteBatch.Initialize
Dim PlaneSheet As lgTexture 	
PlaneSheet.Initialize("actors/plane.png")

PlaneRegion.InitializeWithTexture(PlaneSheet)


Dim tmpWalkFrames(,) As  lgTextureRegion = PlaneRegion.Split(PlaneRegion.Regionwidth/FRAME_COLS, PlaneRegion.RegionHeight/FRAME_ROWS)
Dim WalkFrames() As lgTextureRegion = GetRegionArray(tmpWalkFrames,0)

PlaneAnimation.Initialize(0.1, WalkFrames)

Width	= PlaneRegion.Regionwidth/FRAME_COLS
Heigth	= PlaneRegion.RegionHeight/FRAME_ROWS

End Sub

Sub GetRegionArray(MultiDimArray As Object, Index As Int) As lgTextureRegion()
	Dim r As Reflector
	r.Target = MultiDimArray
	Return r.GetArray(Array As Int(Index))
End Sub

Sub Draw(DeltaTime As Float, CamHeight As Int)

stateTime = stateTime+DeltaTime
currentFrame = PlaneAnimation.GetKeyFrame2(stateTime, True)
spriteBatch.Begin

If Y_pos >= 0 AND Y_pos <= (CamHeight - Heigth) Then
	'move is possible
	spriteBatch.DrawRegion(currentFrame, X_pos,Y_pos)
Else If Y_pos < 0 Then
	'reset to 0 if too low
	Y_pos = 0
Else If Y_pos > (CamHeight - Heigth) Then
	'reset to max if too high
	Y_pos = (CamHeight - Heigth)
End If


spriteBatch.End

End Sub

Sub move(DeltaTime As Float, DeltaX As Int, DeltaY As Int,CamHeight As Int, CamWidth As Int)

'check if the plane is out of position with screen.

If Y_pos >= 0 AND Y_pos <= (CamHeight - Heigth) Then
	'move is possible
	Y_pos = Y_pos + ((DeltaY * DeltaTime)* move_speed)
Else If Y_pos < 0 Then
	'reset to 0 if too low
	Y_pos = 0
Else If Y_pos > (CamHeight - Heigth) Then
	'reset to max if too high
	Y_pos = (CamHeight - Heigth)
End If


End Sub

